%global momorel 1
%global md5sum 94d8ec38298dbfada0f142455da181d9
#
# Rebuild option:
#
#   --with testsuite         - run the test suite
#

Name:           perl-Cairo
Version:        1.041
Release: %{momorel}m%{?dist}
Summary:        Perl interface to the cairo library

Group:          Development/Libraries
License:        LGPL
URL:            http://search.cpan.org/dist/Cairo/
%NoSource 0 http://www.cpan.org/authors/id/T/TS/TSCH/Cairo-%{version}.tar.gz %{md5sum}
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

BuildRequires:  perl-ExtUtils-Depends, perl-ExtUtils-PkgConfig
BuildRequires:  cairo-devel >= 1.0.0
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Cairo provides Perl bindings for the vector graphics library cairo.
It supports multiple output targets, including the X Window Systems,
PDF, and PNG.  Cairo produces identical output on all those targets
and makes use of hardware acceleration wherever possible.


%prep
%setup -q -n Cairo-%{version}
chmod -c a-x examples/*.pl


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
%{?_with_testsuite:make test}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE NEWS README TODO examples/
%{perl_vendorarch}/Cairo*
%{perl_vendorarch}/auto/Cairo/
%{_mandir}/man3/*.3pm*


%changelog
* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.041-1m)
- update to 1.041

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.023-3m)
- use vendor

* Fri Mar 23 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.023-2m)
- modify requires and buildrequires

* Thu Mar 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.023-1m)
- import to Momonga from Fedora Development


* Mon Feb 26 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.023-1
- Update to 1.023.

* Sun Dec 31 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.022-1
- Update to 1.022.

* Sat Nov 11 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.021-1
- Update to 1.021.

* Sat Nov 11 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.02-1
- Update to 1.02.

* Mon Oct  2 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-2
- Rebuild (https://www.redhat.com/archives/fedora-maintainers/2006-October/msg00005.html).

* Tue Sep 26 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-1
- Update to 1.01.

* Tue Sep  5 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.00-1
- Update to 1.00.

* Wed Aug 16 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.92-1
- Update to 0.92.

* Sat Aug 12 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.91-1
- Update to 0.91.

* Sun Jul 16 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.90-1
- Update to 0.90.

* Tue Apr 18 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.03-2
- Disabled the test suite as it fails in mock.

* Sun Mar 19 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.03-1
- First build.
